# msw-devtools

[![NPM](https://img.shields.io/npm/v/msw-devtools.svg)](https://www.npmjs.com/package/msw-devtools)

Devtools for exploring and testing mocked API handlers and data built with [msw](https://mswjs.io/).

Useful when developing applications using "API first" approach where you mock the API before building the UI.

##### MSW API handlers testing:

![demo](/demo/api.png)

##### MSW Data inspection:

![demo](/demo/data.png)

## Installation

NPM

```
$ npm install msw-devtools
```

Yarn:

```
$ yarn add msw-devtools
```

## Usage

```ts
import { MSWDevTools } from 'msw-devtools';
import { db, handlers } from '../test/mocks';

export function App({ children }) {
  return (
    <>
      <MSWDevTools db={db} handlers={handlers} />
      Hello World
    </>
  );
}
```

## API

### `MSWDevTools`

```ts
import { FactoryAPI } from '@mswjs/data/lib/glossary';
import { RestHandler } from 'msw';

export type MSWDevToolsProps = {
  db?: FactoryAPI<any>;
  handlers?: RestHandler[];
};
```

## Contributing

1. Clone this repo
2. Create a branch: `git checkout -b your-feature`
3. Make some changes
4. Test your changes
5. Push your branch and open a Pull Request

## LICENSE

MIT
